# Uses of Class
org.snpsift.lang.Value

Packages that use Value
Package
Description
org.snpsift.lang
org.snpsift.lang.expression
org.snpsift.lang.function

## Uses of Value in org.snpsift.lang

Fields in org.snpsift.lang declared as Value
Modifier and Type
Field
Description
`static final Value`
Value.`FALSE`
`static final Value`
Value.`NULL`
`static final Value`
Value.`TRUE`
Methods in org.snpsift.lang with parameters of type Value
Modifier and Type
Method
Description
`boolean`
Value.`canCompare(Value val)`
Can these values be compared?
`int`
Value.`compareTo(Value val)`

## Uses of Value in org.snpsift.lang.expression

Methods in org.snpsift.lang.expression that return Value
Modifier and Type
Method
Description
`Value`
And.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`abstract Value`
Expression.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`abstract Value`
Expression.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
Evaluate expression using genotype
`Value`
ExpressionBinary.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
ExpressionBinary.`eval(org.snpeff.vcf.VcfGenotype gt)`
`Value`
ExpressionUnary.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
ExpressionUnary.`eval(org.snpeff.vcf.VcfGenotype gt)`
`Value`
Field.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
Field.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
FieldConstantFloat.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
Literal.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
Literal.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
Or.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`protected Value`
And.`evalOp(Value lval, Value rval)`
`protected Value`
Div.`evalOp(Value lval, Value rval)`
`protected Value`
Eq.`evalOp(Value lval, Value rval)`
`protected Value`
Exists.`evalOp(Value val)`
`protected abstract Value`
ExpressionBinary.`evalOp(Value lval, Value rval)`
`protected abstract Value`
ExpressionUnary.`evalOp(Value val)`
`protected Value`
Ge.`evalOp(Value lval, Value rval)`
`protected Value`
Gt.`evalOp(Value lval, Value rval)`
`protected Value`
Has.`evalOp(Value lval, Value rval)`
`protected Value`
Le.`evalOp(Value lval, Value rval)`
`protected Value`
Lt.`evalOp(Value lval, Value rval)`
`protected Value`
Match.`evalOp(Value lval, Value rval)`
`protected Value`
Minus.`evalOp(Value lval, Value rval)`
`protected Value`
Mod.`evalOp(Value lval, Value rval)`
`Value`
Not.`evalOp(Value val)`
`protected Value`
Or.`evalOp(Value lval, Value rval)`
`protected Value`
Plus.`evalOp(Value lval, Value rval)`
`protected Value`
Times.`evalOp(Value lval, Value rval)`
`protected Value`
Xor.`evalOp(Value lval, Value rval)`
Methods in org.snpsift.lang.expression with parameters of type Value
Modifier and Type
Method
Description
`protected Value`
And.`evalOp(Value lval, Value rval)`
`protected Value`
Div.`evalOp(Value lval, Value rval)`
`protected Value`
Eq.`evalOp(Value lval, Value rval)`
`protected Value`
Exists.`evalOp(Value val)`
`protected abstract Value`
ExpressionBinary.`evalOp(Value lval, Value rval)`
`protected abstract Value`
ExpressionUnary.`evalOp(Value val)`
`protected Value`
Ge.`evalOp(Value lval, Value rval)`
`protected Value`
Gt.`evalOp(Value lval, Value rval)`
`protected Value`
Has.`evalOp(Value lval, Value rval)`
`protected Value`
Le.`evalOp(Value lval, Value rval)`
`protected Value`
Lt.`evalOp(Value lval, Value rval)`
`protected Value`
Match.`evalOp(Value lval, Value rval)`
`protected Value`
Minus.`evalOp(Value lval, Value rval)`
`protected Value`
Mod.`evalOp(Value lval, Value rval)`
`Value`
Not.`evalOp(Value val)`
`protected Value`
Or.`evalOp(Value lval, Value rval)`
`protected Value`
Plus.`evalOp(Value lval, Value rval)`
`protected Value`
Times.`evalOp(Value lval, Value rval)`
`protected Value`
Xor.`evalOp(Value lval, Value rval)`

## Uses of Value in org.snpsift.lang.function

Methods in org.snpsift.lang.function that return Value
Modifier and Type
Method
Description
`Value`
CountHet.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
CountHet.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
CountHom.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
CountHom.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
CountRef.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
CountRef.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
CountVariant.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
CountVariant.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
In.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
In.`eval(org.snpeff.vcf.VcfGenotype gt)`
`Value`
IsHet.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
IsHet.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
IsHom.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
IsHom.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
IsRef.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
IsRef.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
`Value`
IsVariant.`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
`Value`
IsVariant.`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`